# Interface VulkanSubpassDescriptionType

All Known Implementing Classes:
  `VulkanSubpassDescription`

@Immutable public interface VulkanSubpassDescriptionType
Structure specifying a subpass description.

See Also:
  - "VkSubpassDescription"

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<VulkanAttachmentReference>`
  `colorAttachments()`
  `Optional<VulkanAttachmentReference>`
  `depthStencilAttachment()`
  `Set<VulkanSubpassDescriptionFlag>`
  `flags()`
  `List<VulkanAttachmentReference>`
  `inputAttachments()`
  `VulkanPipelineBindPoint`
  `pipelineBindPoint()`
  `List<Integer>`
  `preserveAttachments()`
  `List<VulkanAttachmentReference>`
  `resolveAttachments()`

- ## Method Details

  - ### flags

    Set<VulkanSubpassDescriptionFlag> flags()
    Returns:
      Description flags

  - ### pipelineBindPoint

    VulkanPipelineBindPoint pipelineBindPoint()
    Returns:
      The pipeline bind point specifying whether this is a graphics or compute subpass.

  - ### inputAttachments

    List<VulkanAttachmentReference> inputAttachments()
    Returns:
      A list of the render pass’s attachments that can be read in the fragment shader stage during the subpass, and what layout each attachment will be in during the subpass

  - ### colorAttachments

    List<VulkanAttachmentReference> colorAttachments()
    Returns:
      A list of the render pass’s attachments that will be used as color attachments in the subpass, and what layout each attachment will be in during the subpass.

  - ### resolveAttachments

    List<VulkanAttachmentReference> resolveAttachments()
    Returns:
      A list of the the render pass’s attachments that are resolved to at the end of the subpass, and what layout each attachment will be in during the multisample resolve operation.

  - ### depthStencilAttachment

    Optional<VulkanAttachmentReference> depthStencilAttachment()
    Returns:
      The attachment that will be used for depth/stencil data and the layout it will be in during the subpass.

  - ### preserveAttachments

    List<Integer> preserveAttachments()
    Returns:
      A list of render pass attachment indices describing the attachments that are not used by a subpass, but whose contents must be preserved throughout the subpass.